package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabExternalUseridLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mozhu
 * @date 2021/12/23 13:49
 */
public interface ExternalUseridLogMapper {

    /**
     * 插入
     *
     * @param tabExternalUseridLog 外部用户id日志选项卡
     * @return int
     * @author mozhu
     * @date 2021-12-23 13:55:22
     */
    int insert(TabExternalUseridLog tabExternalUseridLog);

    /**
     * 插入批
     *
     * @param tabExternalUseridLogList 外部用户id日志列表选项卡
     * @return int
     * @author mozhu
     * @date 2021-12-23 14:04:22
     */
    int insertBatch(@Param("list") List<TabExternalUseridLog> tabExternalUseridLogList);

    /**
     * 选择wx企业id
     *
     * @param wxEnterpriseId wx企业标识
     * @return {@link List<TabExternalUseridLog> }
     * @author mozhu
     * @date 2021-12-23 13:55:09
     */
    List<TabExternalUseridLog> selectByWxEnterpriseId(@Param("wxEnterpriseId") String wxEnterpriseId);

}
